Subject: Re: linux-next: omission of the nfc tree

From: Thierry Reding <[email-masked]>
Date: Tue, 5 May 2026 15:57:29 +0200

On Tue, May 05, 2026 at 11:47:10AM +0200, David Heidelberg wrote:
> Hello Thierry,
> 
> sorry about that, should be fixed (rebased against -rc2 now).
> 
> Is there strong insensitive to use -rc1? In case it causing additional work,
> I can stick with rc1.

-rc2 is fine, too. Anything from Linus' tree should be fine, really,
since Linus' tree is the base for linux-next.

The idea is that you should pull in only as much as necessary to reduce
dependencies and complexity. If you need to pull in some other tree (to
satisfy a dependency, for example, always make sure to work with the
corresponding maintainer to ensure they keep the branch that you pull in
stable (i.e. don't rebase it), otherwise things will get ugly and we
start pulling multiple versions of the same commits, etc.

Thierry